import { OnDestroy, ApplicationRef } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
import { GlobalConfig, ToastPackage } from './toastr-config';
import { ToastrService } from './toastr-service';
export declare class Toast implements OnDestroy {
    protected toastrService: ToastrService;
    toastPackage: ToastPackage;
    protected appRef: ApplicationRef;
    message: string | SafeHtml;
    title: string;
    options: GlobalConfig;
    width: number;
    toastClasses: string;
    state: string;
    private timeout;
    private intervalId;
    private hideTime;
    private sub;
    private sub1;
    constructor(toastrService: ToastrService, toastPackage: ToastPackage, appRef: ApplicationRef);
    ngOnDestroy(): void;
    activateToast(): void;
    updateProgress(): void;
    remove(): void;
    tapToast(): void;
    stickAround(): void;
    delayedHideToast(): void;
}
